Opened 9 years ago

Closed 6 years ago

#986 closed defect (wontfix)

bindctl crash when removing unknown item

Reported by: shane Owned by:
Priority: medium Milestone: Remaining BIND10 tickets
Component: ~bind-ctl (obsolete) Version: bind10-old
Keywords: Cc:
CVSS Scoring: Parent Tickets:
Sensitive: no Defect Severity: Low
Sub-Project: DNS Feature Depending on Ticket:
Estimated Difficulty: 0.0 Add Hours to Ticket: 0
Total Hours: 0 Internal?: no

Description

I was using a BIND 10 server with an old (pre-2011-05-17) configuration. It has a "master_addr" for all of Xfrin, instead of per-zone.

I was unable to commit my database changes because of that:

> config commit
Error: unknown item master_addr
Configuration not committed

Here is the old configuration:

shane@madras:/opt/bind10/var/bind10-devel$ cat b10-config.db 
{"Xfrin": {"master_addr": "85.17.60.159"}, "version": 2,
 "Auth": {"listen_on": [ { "address": "85.17.60.232", "port": 53 } ]}}

So I decided to remove the offending legacy configuration, with these results:

> config unset Xfrin/master_addr
Traceback (most recent call last):
  File "/usr/lib/python3.1/cmd.py", line 213, in onecmd
    func = getattr(self, 'do_' + cmd)
AttributeError: 'BindCmdInterpreter' object has no attribute 'do_config'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/bind10/bin/bindctl", line 138, in <module>
    tool.run()
  File "/opt/bind10/lib/python3.1/site-packages/bindctl/bindcmd.py", line 128, in run
    self.cmdloop()
  File "/usr/lib/python3.1/cmd.py", line 139, in cmdloop
    stop = self.onecmd(line)
  File "/opt/bind10/lib/python3.1/site-packages/bindctl/bindcmd.py", line 450, in onecmd
    Cmd.onecmd(self, line)
  File "/usr/lib/python3.1/cmd.py", line 215, in onecmd
    return self.default(line)
  File "/opt/bind10/lib/python3.1/site-packages/bindctl/bindcmd.py", line 416, in default
    self._parse_cmd(line)
  File "/opt/bind10/lib/python3.1/site-packages/bindctl/bindcmd.py", line 554, in _parse_cmd
    self._handle_cmd(cmd)
  File "/opt/bind10/lib/python3.1/site-packages/bindctl/bindcmd.py", line 396, in _handle_cmd
    self.apply_config_cmd(cmd)
  File "/opt/bind10/lib/python3.1/site-packages/bindctl/bindcmd.py", line 673, in apply_config_cmd
    self.config_data.unset(identifier)
AttributeError: 'UIModuleCCSession' object has no attribute 'unset'

Subtickets

Change History (5)

comment:1 Changed 9 years ago by jreed

Also see #948.

comment:2 Changed 9 years ago by shane

  • Milestone New Tasks deleted

comment:3 Changed 9 years ago by jreed

Also see #1195 and #1076

comment:4 Changed 6 years ago by tomek

  • Milestone set to Remaining BIND10 tickets

comment:5 Changed 6 years ago by tomek

  • Resolution set to wontfix
  • Status changed from new to closed
  • Version set to old-bind10

This issue is related to bind10 code that is no longer part of Kea.

If you are interested in BIND10/Bundy framework or its DNS components,
please check http://bundy-dns.de.

Closing ticket.

Note: See TracTickets for help on using tickets.